# See https://docs.github.com/get-started/getting-started-with-git/ignoring-files for more about ignoring files.

# Compiled output
/dist
/server/dist/
/tmp
/out-tsc
/bazel-out
*.sqlite
*/architecture.md
/docs
# Node
/node_modules
npm-debug.log
yarn-error.log
dist-electron
node_modules/*
*server/node_modules/*
/docs-site/node_modules/
.angular
# IDEs and editors
.idea/
.project
.classpath
.c9/
*.launch
.settings/
*.sublime-workspace

# Visual Studio Code
.vscode/*
!.vscode/settings.json
!.vscode/tasks.json
!.vscode/launch.json
!.vscode/extensions.json
.history/*

# Miscellaneous
/.angular/cache
.sass-cache/
/connect.lock
/coverage
/docs-site/.docusaurus/
/docs-site/build/
/libpeerconnection.log
testem.log
/typings
__screenshots__/

# Playwright
test-results/
e2e/playwright-report/

# System files
.DS_Store
Thumbs.db

# Environment & certs
.env
.certs/
/server/data/variables.json
/server/data/metoyou.sqlite
dist-server/*

doc/**

metoyou.sqlite*
metoyou.sqlite

vitest/
